# SPDX-License-Identifier: CC0-1.0

{ stdenv, fetchgit, buildPackages }:

stdenv.mkDerivation rec {
  pname = "rom_benchmark";
  version = "0.1";

  nativeBuildInputs = with buildPackages; [ tup ];

  src = fetchgit {
    url = "https://git.sr.ht/~ehmry/rom_benchmark";
    rev = "v" + version;
    sha256 = "0j0ir4zv0bxf0d2k0giykcm3wwqr4wdv3ix42751sd9v1wwgbbjg";
  };

  configurePhase = ''
    # Scan repository and generate script
    tup init
    tup generate buildPhase.sh
  '';

  buildPhase = ''
    pushd .
    source buildPhase.sh
    popd
  '';

  installPhase = "install -Dm755 {.,$out}/rom_benchmark";

  meta = with stdenv.lib; {
    license = licenses.gpl3;
    maintainers = [ maintainers.ehmry ];
  };

}
