# SPDX-License-Identifier: CC0-1.0

{ buildPackages, testEnv, pkgs, ... }:
with pkgs;

let tftpRoot = pkgs.rom_benchmark;
in testEnv.mkTest {
  name = "tftp_rom";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig = ./tftp_rom.dhall;
  testInputs = [ pkgs.tftp_rom pkgs.rom_benchmark ]
    ++ map pkgs.genodeSources.depot [
      "acpi_drv"
      "ipxe_nic_drv"
      "platform_drv"
      "report_rom"
    ];
  testScript = ''
    run_genode_until {SOTEST END} 60
  '';

  qemuArgs = [
    "-netdev user,id=n0,restrict=on,tftp=${tftpRoot}"
    "-device e1000,netdev=n0"
    # "-object filter-dump,id=f0,netdev=n0,file=qemu.pcap"
  ];

  sotest = true;
  extraSotest = [ pkgs.rom_benchmark ];
}
